cancel
Showing results for 
Search instead for 
Did you mean: 

An error has occurred when trying to add SmartBear extension to Chrome version 72

SOLVED
Visitor

An error has occurred when trying to add SmartBear extension to Chrome version 72

Hi,

Can anyone help me with the below issue?

 

I already added Smartbear Extension for Chrome as shown in Extension_Pic-1; however, when trying to record a test, I get an error message saying that SmartBear Test Extension for Chrome is not enabled as shown in Extension_Pic-2.

So I try to add it, but get the error message saying an error has occured when it attempted to downgrade extension (Extension_Error)

 

My T.C version is 12.30.1651.7

 

Thanks.

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Contributor

Re: An error has occurred when trying to add SmartBear extension to Chrome version 72

I found out the reason why I could not add SmartBear extension for Chrome via https://support.smartbear.com/downloads/testcomplete/chrome-patches/

 

In order to for both T.C and Chrome to work together, I have to do the below:

 

1. Disable Chrome update automatically on my test system

2. Downgrade Chrome from version 72 to 71 (https://www.slimjet.com/chrome/google-chrome-old-version.php)

3. Clean install version 12.60

 

That's all.

View solution in original post

3 REPLIES 3
Contributor

Re: An error has occurred when trying to add SmartBear extension to Chrome version 72

I also have the same issue with Chrome version 72. Is there a way to downgrade the Chrome to the version that works with TC?

Highlighted
Contributor

Re: An error has occurred when trying to add SmartBear extension to Chrome version 72

I found out the reason why I could not add SmartBear extension for Chrome via https://support.smartbear.com/downloads/testcomplete/chrome-patches/

 

In order to for both T.C and Chrome to work together, I have to do the below:

 

1. Disable Chrome update automatically on my test system

2. Downgrade Chrome from version 72 to 71 (https://www.slimjet.com/chrome/google-chrome-old-version.php)

3. Clean install version 12.60

 

That's all.

View solution in original post

Community Hero

Re: An error has occurred when trying to add SmartBear extension to Chrome version 72

Correct... Chrome, unfortunately, updates frequently and at no particular set schedule.  TestComplete needs to be able to work with Chrome so the extensions need to match.  Because of that frequent updating, the SmartBear folks aren't always IMMEDIATE with new support.  It's best, when testing with Chrome, to update manually rather than automatically.


Robert Martin
[Community Expert Group]
Please consider giving a Kudo if I write good stuff
----

Why automate?  I do automated testing because there's only so much a human being can do and remain healthy.  Sleep is a requirement.  So, while people sleep, automation that I create does what I've described above in order to make sure that nothing gets past the final defense of the testing group.
I love good food, good books, good friends, and good fun.

Mysterious Gremlin Master
Extensions available
New Here?
Join us and watch the welcome video:
Top Kudoed Authors